Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 664526 - dev-vcs/tortoisehg-4.7 : file collision with dev-vcs/mercurial-4.7
Summary: dev-vcs/tortoisehg-4.7 : file collision with dev-vcs/mercurial-4.7
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 680206
  Show dependency tree
 
Reported: 2018-08-25 03:15 UTC by Toralf Förster
Modified: 2019-03-15 08:39 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.53 KB, text/plain)
2018-08-25 03:15 UTC, Toralf Förster
Details
dev-vcs:tortoisehg-4.7:20180824-223855.log (dev-vcs:tortoisehg-4.7:20180824-223855.log,99.42 KB, text/plain)
2018-08-25 03:15 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,171.10 KB, text/plain)
2018-08-25 03:15 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.62 KB, application/x-bzip)
2018-08-25 03:15 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,4.86 KB, application/x-bzip)
2018-08-25 03:15 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-08-25 03:15:37 UTC
 * Detected file collision(s):
 * 
 * 	/usr/lib64/python2.7/site-packages/hgext3rd/__init__.pyc
 * 	/usr/lib64/python2.7/site-packages/hgext3rd/__init__.pyo
 * 
 * Searching all installed packages for file collisions...
 * 
 * Press Ctrl-C to Stop
 * 
 * dev-vcs/mercurial-4.7:0::gentoo
 * 	/usr/lib64/python2.7/site-packages/hgext3rd/__init__.pyc
 * 	/usr/lib64/python2.7/site-packages/hgext3rd/__init__.pyo
 * 
 * Package 'dev-vcs/tortoisehg-4.7' NOT merged due to file collisions. If

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-plasma-systemd_20180819-105812

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-8.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.8.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv dev-vcs/tortoisehg
[ebuild  N    ] dev-vcs/tortoisehg-4.7  USE="-doc" PYTHON_TARGETS="python2_7"
Comment 1 Toralf Förster gentoo-dev 2018-08-25 03:15:40 UTC
Created attachment 544902 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-08-25 03:15:43 UTC
Created attachment 544904 [details]
dev-vcs:tortoisehg-4.7:20180824-223855.log
Comment 3 Toralf Förster gentoo-dev 2018-08-25 03:15:47 UTC
Created attachment 544906 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2018-08-25 03:15:50 UTC
Created attachment 544908 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2018-08-25 03:15:53 UTC
Created attachment 544910 [details]
logs.tbz2
Comment 6 aditsu 2018-11-13 01:58:29 UTC
I'm getting the same error with version 4.5.2 (stable) of both packages.
Comment 7 Agostino Sarubbo gentoo-dev 2019-03-14 21:27:06 UTC
same behavior in 4.9
Comment 8 Larry the Git Cow gentoo-dev 2019-03-15 08:39:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=82fa77f7f07a529e613373818aba5170079b2223

commit 82fa77f7f07a529e613373818aba5170079b2223
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2019-03-15 08:39:05 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2019-03-15 08:39:18 +0000

    dev-vcs/tortoisehg: Fixed file collision.
    
    Closes: https://bugs.gentoo.org/664526
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 dev-vcs/tortoisehg/tortoisehg-4.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)